%define deb_release	47

Name:		docbook-to-man
Version:	2.0.0
Release:	%mkrel 18
Summary:	Converter from DocBook SGML into roff man macros
License:	MIT
Group:		Publishing
URL:		https://www.oasis-open.org/docbook/tools/dtm/
Source0:	https://ftp.debian.org/debian/pool/main/d/docbook-to-man/%{name}_%{version}.orig.tar.gz
Patch1:		0001-conglomeration.patch
Patch2:		0002-arg-req-space.patch
Patch3:		0003-userinput-font.patch
Patch4:		0004-instant-man.patch
Patch5:		0005-makefile.patch
Patch6:		0006-format-security.patch
Patch7:		0007-remove-timestamp.patch
Patch8:		0008-better-checking-of-return-value-of-Split-function.patch
Patch9:		0009-remove-sp-dependency.patch
Patch10:	0010-Prevent-undefined-behaviour-in-memcpy-parameter-over.patch
Patch11:	0011-Correct-spelling-mistakes-in-binary.patch
Patch12:	0012-Ensure-build-failures-in-subdirectories-cause-entire.patch
Patch13:	0013-Fix-FTBFS-with-Werror-implicit-function-declaration.patch
Patch20:	compile.mga.patch
Patch21:	%{name}-PLD.patch
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	opensp
Requires:	docbook-dtd41-sgml
Requires:	opensp

%description
docbook-to-man is a batch converter that transforms UNIX-style
manpages from the DocBook SGML format into nroff/troff man macros.

This is not the original version by Fred Dalrymple, but one with the
modifications by David Bolen with Debian changes.

%prep
%autosetup -p1 -n %{name}-%{version}.orig

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{optflags} -std=gnu17" \
	LDFLAGS="%{ldflags}" \
	ROOT=%{_prefix}

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/sgml,%{_mandir}/man{1,5}}

%make_install ROOT=$RPM_BUILD_ROOT%{_prefix}

install Doc/{docbook-to-man.1,instant.1} $RPM_BUILD_ROOT%{_mandir}/man1
install Doc/transpec.1 $RPM_BUILD_ROOT%{_mandir}/man5/transpec.5

%files
%doc README README.ANS
%attr(755,root,root) %{_bindir}/docbook-to-man
%attr(755,root,root) %{_bindir}/instant
%{_datadir}/sgml/transpec
%{_mandir}/man1/docbook-to-man.1*
%{_mandir}/man1/instant.1*
%{_mandir}/man5/transpec.5*


%changelog
* Tue May 13 2025 ns80 <ns80> 2.0.0-18.mga10
+ Revision: 2183063
- try to fix building with GCC 15

* Sun Feb 16 2025 daviddavid <daviddavid> 2.0.0-17.mga10
+ Revision: 2149054
- sync patches with debian to fix build

* Sat Mar 19 2022 umeabot <umeabot> 2.0.0-16.mga9
+ Revision: 1800014
- Mageia 9 Mass Rebuild

* Mon Aug 10 2020 bcornec <bcornec> 2.0.0-15.mga8
+ Revision: 1613027
- Fix compilation errors for gcc10

* Thu Feb 13 2020 umeabot <umeabot> 2.0.0-14.mga8
+ Revision: 1511909
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-13.mga7
+ Revision: 1297477
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-12.mga6
+ Revision: 945640
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-11.mga5
+ Revision: 743156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-10.mga5
+ Revision: 678789
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-9.mga4
+ Revision: 532508
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 2.0.0-8.mga4
+ Revision: 468580
- update BuildRequires/Requires after OpenSP was renamed to opensp

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-7.mga3
+ Revision: 349048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 ahmad <ahmad> 2.0.0-6.mga1
+ Revision: 41504
- imported package docbook-to-man


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-6mdv2011.0
+ Revision: 604809
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-5mdv2010.1
+ Revision: 520694
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-4mdv2010.0
+ Revision: 413372
- rebuild

* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-3mdv2009.1
+ Revision: 342941
- fix optimisations

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-2mdv2009.0
+ Revision: 266572
- rebuild early 2009.0 package (before pixel changes)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2009.0
+ Revision: 200873
- import from pclinuxos
- Created package structure for docbook-to-man.

